//+------------------------------------------------------------------+
//|                                                 BridgeQuotes.mq4 |
//|                                                  Denis Lubentsov |
//+------------------------------------------------------------------+
#property copyright "Denis Lubentsov"

#include "BridgeQuotesDLL.mqh"
#include "BridgeQuotes.mqh"

int nPricePrecision = 5;  // Used for Quotes Output
int nVolumePrecision = 1; // Used for Quotes Output

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{
   Print("Init!");

   if (!_Login())
      Print(_GetLastError());

   FXSymbol = StringSubstr(Symbol(), 0, 3) + "/" + StringSubstr(Symbol(), 3, 3);

   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
{
   Print("DeInit!");

   if (!_Logoff())
      Print(_GetLastError());

   return(0);
}
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
static int IsRunning = 0;

   if (IsRunning == 1)
      return(0);
   IsRunning = 1;

// Start getting data!
   if (!_GetLastNQuotes())
      Print(_GetLastError());
   else
   {
      string strOutput = "Quotes for " + FXSymbol + ": Bids: " + DoubleToStr(Bids[0], nPricePrecision) + 
         " - " + DoubleToStr(BidVols[0], nVolumePrecision) + "M";
      int i;
      for (i = 1; (i < Size) && (0. != Bids[i]); i++)
         strOutput = strOutput + ", " + DoubleToStr(Bids[i], nPricePrecision) + " - " + DoubleToStr(BidVols[i], nVolumePrecision) + "M";
      strOutput = strOutput + "; Asks: " + DoubleToStr(Asks[0], nPricePrecision) + " - " + DoubleToStr(AskVols[0], nVolumePrecision) + "M";
      for (i = 1; (i < Size) && (0. != Asks[i]); i++)
         strOutput = strOutput + ", " + DoubleToStr(Asks[i], nPricePrecision) + " - " + DoubleToStr(AskVols[i], nVolumePrecision) + "M";
      Print(strOutput);
   }
// Stop getting data!

   IsRunning = 0;
   return(0);
}

