//+------------------------------------------------------------------+
//|                                              BridgeQuotesDLL.mqh |
//|                                                  Denis Lubentsov |
//+------------------------------------------------------------------+
#property copyright "Denis Lubentsov"

#import "QuotesTransmitter.dll"

int Login(string QuotesServerAddress, int Port, string Login, string Password);

int Logoff();

// FXSymbol - string;
// input value - should contain Symbol name in "CCY1/CCY2" format; 
// SizeBids - 1-size array;
// input value - should contain amount of items in Bids and BidVols arrays; 
// output value - contains actual amount of filled items in Bids and BidVols after successful call;
// Bids - SizeBids[0]-size array;
// output value - contains Bid Prices after successful call;
// BidVols - SizeBids[0]-size array;
// output value - contains Bid Volumes after successful call, in millions;
// SizeAsks - 1-size array;
// input value - should contain amount of items in Asks and AskVols arrays; 
// output value - contains actual amount of filled items in Asks and AskVols after successful call;
// Asks - SizeAsks[0]-size array;
// output value - contains Ask Prices after successful call;
// AskVols - SizeAsks[0]-size array;
// output value - contains Ask Volumes after successful call, in millions;
int GetLastQuotes(string FXSymbol, int SizeBids[], double Bids[], double BidVols[], int SizeAsks[], double Asks[], double AskVols[]);

// FXSymbol - string;
// input value - should contain Symbol name in "CCY1/CCY2" format; 
// Size - integer;
// input value - should contain amount of items in Bids, BidVols, Asks and AskVols arrays; 
// Bids - 'Size'-size array;
// output value - contains Bid Prices after successful call; if quantity of quotes is less than 'Size' then last elements are filled with zeros;
// BidVols - 'Size'-size array;
// output value - contains Bid Volumes after successful call, in millions; if quantity of quotes is less than 'Size' then last elements are filled with zeros;
// Asks - 'Size'-size array;
// output value - contains Ask Prices after successful call; if quantity of quotes is less than 'Size' then last elements are filled with zeros;
// AskVols - 'Size'-size array;
// output value - contains Ask Volumes after successful call, in millions; if quantity of quotes is less than 'Size' then last elements are filled with zeros;
int GetLastNQuotes(string FXSymbol, int Size, double Bids[], double BidVols[], double Asks[], double AskVols[]);

#import

